# Uses of Class
com.databricks.jdbc.model.client.thrift.generated.TCloseSessionResp

Packages that use TCloseSessionResp
Package
Description
com.databricks.jdbc.model.client.thrift.generated

## Uses of TCloseSessionResp in com.databricks.jdbc.model.client.thrift.generated

Subclasses with type arguments of type TCloseSessionResp in com.databricks.jdbc.model.client.thrift.generated
Modifier and Type
Class
Description
`static class`
`TCLIService.AsyncClient.CloseSession_call`
`static class`
`TCLIService.AsyncProcessor.CloseSession<I extends TCLIService.AsyncIface>`
Classes in com.databricks.jdbc.model.client.thrift.generated that implement interfaces with type arguments of type TCloseSessionResp
Modifier and Type
Class
Description
`class`
`TCloseSessionResp`
`class`
`TCloseSessionResp`
Fields in com.databricks.jdbc.model.client.thrift.generated declared as TCloseSessionResp
Modifier and Type
Field
Description
`TCloseSessionResp`
TCLIService.CloseSession_result.`success`
Methods in com.databricks.jdbc.model.client.thrift.generated that return TCloseSessionResp
Modifier and Type
Method
Description
`TCloseSessionResp`
TCLIService.Client.`CloseSession(TCloseSessionReq req)`
`TCloseSessionResp`
TCLIService.Iface.`CloseSession(TCloseSessionReq req)`
`TCloseSessionResp`
TCloseSessionResp.`deepCopy()`
`TCloseSessionResp`
TCLIService.AsyncClient.CloseSession_call.`getResult()`
`TCloseSessionResp`
TCLIService.CloseSession_result.`getSuccess()`
`TCloseSessionResp`
TCLIService.Client.`recv_CloseSession()`
`TCloseSessionResp`
TCloseSessionResp.`setStatus(TStatus status)`
Methods in com.databricks.jdbc.model.client.thrift.generated that return types with arguments of type TCloseSessionResp
Modifier and Type
Method
Description
`org.apache.thrift.async.AsyncMethodCallback<TCloseSessionResp>`
TCLIService.AsyncProcessor.CloseSession.`getResultHandler(org.apache.thrift.server.AbstractNonblockingServer.AsyncFrameBuffer fb, int seqid)`
Methods in com.databricks.jdbc.model.client.thrift.generated with parameters of type TCloseSessionResp
Modifier and Type
Method
Description
`int`
TCloseSessionResp.`compareTo(TCloseSessionResp other)`
`boolean`
TCloseSessionResp.`equals(TCloseSessionResp that)`
`TCLIService.CloseSession_result`
TCLIService.CloseSession_result.`setSuccess(TCloseSessionResp success)`
Method parameters in com.databricks.jdbc.model.client.thrift.generated with type arguments of type TCloseSessionResp
Modifier and Type
Method
Description
`void`
TCLIService.AsyncClient.`CloseSession(TCloseSessionReq req, org.apache.thrift.async.AsyncMethodCallback<TCloseSessionResp> resultHandler)`
`void`
TCLIService.AsyncIface.`CloseSession(TCloseSessionReq req, org.apache.thrift.async.AsyncMethodCallback<TCloseSessionResp> resultHandler)`
`void`
TCLIService.AsyncProcessor.CloseSession.`start(I iface, TCLIService.CloseSession_args args, org.apache.thrift.async.AsyncMethodCallback<TCloseSessionResp> resultHandler)`
Constructors in com.databricks.jdbc.model.client.thrift.generated with parameters of type TCloseSessionResp
Modifier
Constructor
Description
``
`CloseSession_result(TCloseSessionResp success)`
``
`TCloseSessionResp(TCloseSessionResp other)`
Performs a deep copy on other.
Constructor parameters in com.databricks.jdbc.model.client.thrift.generated with type arguments of type TCloseSessionResp
Modifier
Constructor
Description
``
`CloseSession_call(TCloseSessionReq req, org.apache.thrift.async.AsyncMethodCallback<TCloseSessionResp> resultHandler, org.apache.thrift.async.TAsyncClient client, org.apache.thrift.protocol.TProtocolFactory protocolFactory, org.apache.thrift.transport.TNonblockingTransport transport)`